---
title: Average browser page load time example (v2)
source: https://docs.newrelic.com/docs/apis/rest-api-v2/browser-examples-v2/average-browser-page-load-time-example-v2
---

The average browser [page load time](https://docs.newrelic.com/docs/browser/new-relic-browser/page-load-timing-resources/page-load-timing-process) (or response time) appears at the top right of the main chart of your [**Summary** page](https://docs.newrelic.com/docs/browser/new-relic-browser/getting-started/browser-overview-website-performance-glance#viewing). This value is labeled **Browser** and shows the average page load time in seconds.

## Average page load time [#h2-average]

> #### ⚠️ IMPORTANT
>
> While the examples utilize New Relic's REST API v2, we recommend using [NRQL functions](https://docs.newrelic.com/docs/nrql/get-started/introduction-nrql-new-relics-query-language/) for executing metric timeslice queries. Each API value can be mapped to an equivalent NRQL function. To learn how to create NRQL queries based on these API examples, refer to our [documentation](https://docs.newrelic.com/docs/apis/rest-api-v2/migrate-to-nrql/).

To obtain the [average](https://docs.newrelic.com/docs/apm/apis/requirements/calculating-average-metric-values-summarize) for the [time range](https://docs.newrelic.com/docs/apm/apis/requirements/specifying-time-range-api-v2) (default is last 30 minutes), use the following command. Be sure to replace the `$APP_ID` and `$API_KEY` variables in this example with your specific [application ID](https://docs.newrelic.com/docs/apm/apis/requirements/identification-code) and [REST API key](https://docs.newrelic.com/docs/apis/rest-api-v2/requirements/rest-api-key#viewing).

```sh
curl -X GET "https://api.newrelic.com/v2/applications/$APP_ID/metrics/data.json" \ 
     -H "X-Api-Key:$API_KEY" -i \ 
     -d 'names[]=EndUser&values[]=average_response_time&summarize=true'
```
